
From: Jan Dittmer <jdittmer@sfhq.hn.org>

Convert MODULE_PARM to module_param

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/ieee1394/eth1394.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/ieee1394/eth1394.c~eth1394-module_parm-conversion drivers/ieee1394/eth1394.c
--- 25/drivers/ieee1394/eth1394.c~eth1394-module_parm-conversion	2004-11-13 17:56:54.556149448 -0800
+++ 25-akpm/drivers/ieee1394/eth1394.c	2004-11-13 17:56:54.560148840 -0800
@@ -168,11 +168,11 @@ MODULE_LICENSE("GPL");
  * consume in the event that some partial datagrams are never completed.  This
  * should probably change to a sysctl item or the like if possible.
  */
-MODULE_PARM(max_partial_datagrams, "i");
+static int max_partial_datagrams = 25;
+module_param(max_partial_datagrams, int, S_IRUGO | S_IWUSR);
 MODULE_PARM_DESC(max_partial_datagrams,
 		 "Maximum number of partially received fragmented datagrams "
 		 "(default = 25).");
-static int max_partial_datagrams = 25;
 
 
 static int ether1394_header(struct sk_buff *skb, struct net_device *dev,
_
